import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';

const width = window.innerWidth;
const height = window.innerHeight;
const csvUrl =
  'https://gist.githubusercontent.com/beauMarko/f7513da95727642a60000c9292d33f96/raw/cssNamedColors';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    d3.csv(csvUrl).then(setData);
  }, []);

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return data.map((d) => (
    <div
      style={{
        backgroundColor: d['RGB hex value'],
        height: '4px',
          width: '960px'
      }}
    ></div>
  ));
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
